import {atom} from 'playable-ads-libs';

import InstallButton from '../prefabs/install-button';

export default class Game extends Phaser.State {
  create() {
    atom.gameStarted();

    // Background image
    const bg = this.game.add.sprite(0, 0, 'bg_main');
    bg.top = (bg.height - this.game.world.height) / -2;

    // IronSource logo
    const logo = this.game.add.sprite(20, this.game.world.centerY - 240, 'is_watermark');
    logo.alpha = 0.5;

    // Install button
    new InstallButton(
      this.game,
      this.game.world.centerX,
      this.game.world.centerY - 200,
      'BTN_INSTALL',
      () => {
        atom.installFromGame();

        if (window.dapi) {
          window.dapi.openStoreUrl();
        } else {
          console.log('Install pressed');
        }
      }
    );
  }
}
